# Class GeometryBuilderBuildEventData

Represents the build event data for the IfcGeometryBuilder.

##### Index

### Constructors

constructor

### Properties

processedIndiceCount
totalGeometryCount
totalIndiceCount

### Accessors

geometry
progress

## Constructors

### constructor

- new GeometryBuilderBuildEventData(
  totalGeometryCount: number,
  totalIndiceCount: number,
  ): GeometryBuilderBuildEventData

  Creates an instance of GeometryBuilderBuildEventData.

  #### Parameters

  - totalGeometryCount: number

    The total number of geometries being built.

  - totalIndiceCount: number

    The total number of indices being processed.

  #### Returns GeometryBuilderBuildEventData

## Properties

### processedIndiceCount

processedIndiceCount: number = 0

### totalGeometryCount

totalGeometryCount: number

The total number of geometries being built.

### totalIndiceCount

totalIndiceCount: number

The total number of indices being processed.

## Accessors

### geometry

- get geometry(): Geometry3d

  Gets currently built geometry

  #### Returns Geometry3d

### progress

- get progress(): number

  Gets the progress of the build operation as a percentage.

  #### Returns number